Subject: Re: Downloading problems - either won't D/L at all or truncates over 1MB
From: [email-masked]
To: [email-masked]
Cc: "$Bill Luebkert" <[email-masked]>
Date: Wed, 9 Jan 2002 02:48:16 -0500

On 9 Jan 2002 at 2:50, $Bill Luebkert wrote:

Hey, $Bill, welcome! (back).

> This is partly complaint, partly my first encounter with the install
> script and partly some suggestions to improve D/L scenarios.
> 
> I've had Cygwin uninstalled for a while due to space limitations. I
> now have the space and am trying to re-install.  I tried D/Ling the
> entire distro and encountered many problems.
> 
> The install screen is a bit cryptic on what some options mean.  There
> ought to be a few changes made to make things easier to install.  Here
> are my thoughts:
> 
> 1)  After going to all of the trouble of picking the files you want
> and picking a D/L site, it would be nice if the picks were saved so
> when it fails you don't have to go through all that picking again.

A-men. This is the biggest frustration I've had w/ setup, also.

> 5) A readme file at the top level of /Cygwin tree to explain
> cygwin-setup.exe options and recoveries etc. would be nice.

Yes.

> All of the ftp sites I tried failed.  Just a bunch of failed to D/L
> latest version of "XXX" where XXX is whatever package I'm D/L'ing.
> 
> I finally got a site to work, but all files > 980K failed after that
> much was D/L'ed.  I tried with and without my firewall on.  Still
> can't D/L files > 1 MB or so.  I also tried using FTP with same result.

>  This seems more like either an internet or server problem rather than
> Cygwin setup, but maybe someone else had similar problems that they
> have resolved and could donate a suggestion. 

> <NEWSFLASH>
> Well, I tried some more sites and finally found one that works -
> ftp.oav.net and managed to D/L the larger packages.  This leads me to
> believe that it's a server or routing issue (timeout somewhere is set
> too small to allow slow dialup D/L's). </NEWSFLASH>

I can only add reportage of my overall experiences which are similar. I have found 
many mirrors to be non-functional on a random basis; one month a server will seem 
good, another it will be a dog. Some servers allow an immediate connect and 
promptly display the listing of packages, while others hang half-way through. Various 
stuff like that.

> I managed to make a mirror script to D/L newer files which seems to be
> working (haven't tried it since I fixed the large file problem by
> finding a good site.  It's Perl based using Net::FTP module and should
> grab newer files easily and D/L them.

Of course you did :-). Go Perl!

> PS:  I'm currently not subscribed (I already have super heavy email
> traffic helping Perl users), so please CC me with any replies. 

Will do, although I am not a fixer of anything around here ;-). Yet.
But I will keep an eye out for any replies that might happen to not be CC'd, and 
forward them to you.

   Regards,
      Soren Andersen

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/